# Generated by Django 5.0.6 on 2024-07-19 00:49

from django.db import migrations


def create_celery_beat_objects(apps, schema_editor):
    PeriodicTask = apps.get_model("django_celery_beat", "PeriodicTask")
    IntervalSchedule = apps.get_model("django_celery_beat", "IntervalSchedule")

    interval, c = IntervalSchedule.objects.get_or_create(
        every=1,
        period="minutes",
    )

    task, c = PeriodicTask.objects.get_or_create(
        name="process-email",
        task="helpdesk.tasks.helpdesk_process_email",
        interval=interval,
    )


class Migration(migrations.Migration):
    dependencies = [
        ("ecriplussupport", "0001_initial"),
        ("django_celery_beat", "0018_improve_crontab_helptext"),
    ]

    operations = [
        migrations.RunPython(create_celery_beat_objects),
    ]
